<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;

require '../vendor/autoload.php';

$mail = new PHPMailer();
$mail->isSMTP();
$mail->SMTPDebug = SMTP::DEBUG_OFF;

require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Configuracion.Class.php');
$configuracion_obj  = new Configuracion(null);

$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 21, null, 0); 
$mail->Host         = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 22, null, 0); 
$mail->Port         = $configuracion_inf['conf_valor'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 23, null, 0); 

$mail->SMTPAuth = true;

$mail->Username     = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 24, null, 0); 
$mail->Password     = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 25, null, 0); 
$fromCorreo         = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 26, null, 0); 
$fromDenominacion   = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 101, null, 0); 
$correoURL          = $configuracion_inf['conf_texto'];

$configuracion_obj->Close();

$asunto = 'Aceptación a solicitud de inscripción';



$mail->setFrom($fromCorreo, $fromDenominacion);
$mail->addReplyTo($fromCorreo, $fromDenominacion);

$mail->addAddress('jordanramoscarlos@gmail.com', 'Carlos Jordán');
$mail->addAddress('arispe.jill@gmail.com', 'Jaqueline Arispe');
$mail->Subject = $asunto;
$mail->isHTML(true);

$correoTitulo = "Aceptación a solicitud de inscripción";
// require_once($_SERVER['DOCUMENT_ROOT'].'/clases/ClienteProveedor.Class.php');
// $persona_obj  	    = new ClienteProveedor(null);
//$persona_resultado  = $persona_obj->informacionPersona( 4,0, 0);
$correoRazonSocial = 'Amo mi Negocio';
$correoUsuario = '26720103k';
$correoClave = 'Clave12345+';
//$persona_obj->Close();

// Carga la plantilla HTML en una variable
$html = file_get_contents('http://local.sils.agendamiento/varios/correos/correoAdmAceptacionSolicitudInscripcion.html');
// $html = '<h1>Hola</h1>';

// Reemplaza los marcadores de posición en la plantilla HTML con los valores de los parámetros
$html = str_replace('{{ correoTitulo }}', $correoTitulo, $html);
$html = str_replace('{{ correoRazonSocial }}', $correoRazonSocial, $html);
$html = str_replace('{{ correoUsuario }}', $correoUsuario, $html);
$html = str_replace('{{ correoClave }}', $correoClave, $html);
$html = str_replace('{{ correoURL }}', $correoURL, $html);

$mail->msgHTML($html, __DIR__);
// $mail->msgHTML('<h1>Hola</h1>');

// $mail->AltBody = 'This is a plain-text message body';

echo '<br>';
if (!$mail->send()) {
    echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
    echo 'Message sent!';
}

?>